{% extends 'configuration/property_vacancy_reporter/property_vacancy_reporter_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/property_vacancy_reporter/embed_code') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/property_vacancy_reporter/embed_code') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Einbettungscode</h2>
                <div class='row'>
                    <div class='col'>
                        Einfach die folgenden Codeblöcke kopieren und auf ihrer Webseite einbinden.
                        Danach steht der Leerstandsmelder für ihre Kunden zur Nutzung bereit.
                    </div>
                </div>
                <br>
                <div class="col-12 mb-4">
                    <textarea name="htmlCodeText" class="col-12 p-3" rows="29">
<!--Sie können diesen Code an einem beliebigen Platz in ihrer Homepage einbinden. Der Leerstandsmelder wird an dieser Stelle erscheinen. -->
<div id="lean-leerstandsmelder"></div>

<!--Für eine bessere Performance den nachfolgenden Code an das Ende des <body> Tags einbinden-->

<script>
    {% include 'configuration/property_vacancy_reporter/embed_code.js.twig' with {
        'hostname': hostname,
        'accountKey': accountKey,
        'elementId': 'lean-leerstandsmelder'
    } only %}
</script>
                    </textarea>
                </div>
            </div>
            <div class="col-12 mb-3 p-0">
                <button type="button" name="htmlCodeCopy" class="mdc-button mdc-button--raised mdc-ripple-surface--accent copy p-4 p-sm-3 col-12 col-sm-6 offset-sm-3">
                    <span class="text">Code kopieren</span>
                </button>
            </div>
        </div>
    </div>
{% endblock %}
